Unable to generate Apache configuration files: /usr/local/lib/libcurl.so.4: no version information available

Created:

2017-03-03 14:16:52 UTC

Modified:

2017-08-08 13:43:32 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Unable to generate Apache configuration files: /usr/local/lib/libcurl.so.4: no version information available

Applicable to:

  • Plesk for Linux

Symptoms

The following error can be found in /var/log/plesk/panel.log file:

# plesk sbin httpdmng --reconfigure-all

/usr/bin/sw-engine: /usr/local/lib/libcurl.so.4: no version information available (required by /usr/bin/sw-engine)
Execution failed.
Command: httpdmng Arguments: Array ( [0] => --reconfigure-domains [1] => example.com )
Details: /usr/bin/sw-engine: /usr/local/lib/libcurl.so.4: no version information available (required by /usr/bin/sw-engine) [2017-03-02 16:56:08]
ERR [util_exec] proc_close() failed ['/opt/psa/admin/bin/apache_control_adapter' '--restart' '--restart-interval' '0' '--http-port' '80' '--https-port' '443'] with exit code [255]
Error occured while sending feedback. HTTP code returned: 502 [2017-03-02 16:56:09]
ERR [panel] Apache config (14884700360.89595100) generation failed:
Template_Exception:
Can not restart web server: /opt/psa/admin/bin/apache_control_adapter: /usr/local/lib/libcurl.so.4: no version information available (required by /opt/psa/admin/bin/apache_control_adapter) file: /opt/psa/admin/plib/Service/Driver/Web/Server/Apache.php line: 108 code: 0
Can not restart web server: /opt/psa/admin/bin/apache_control_adapter: /usr/local/lib/libcurl.so.4: no version information available (required by /opt/psa/admin/bin/apache_control_adapter)
exit status 1

Multiple versions of libcurl are installed in the system.

Cause

Plesk is trying to use wrong library version.

Resolution

1. Remove libcurl link specified in the error:

# rm /usr/local/lib/libcurl.so.4  

Have more questions? Submit a request
Please sign in to leave a comment.